Bug 825027 - jeos cache=no ignored if jeos cache files already exist
jeos cache=no ignored if jeos cache files already exist
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: oz (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Chris Lalancette
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 16:49 EDT by Steven Dake
Modified: 2016-04-26 11:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 15:06:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2012-05-24 16:49:13 EDT
Description of problem:
oz 0.8.0 (as well as master) does not honor cache jeos=no flag if a jeos was created with jeos=yes previously

Version-Release number of selected component (if applicable):
oz 0.8.0

How reproducible:
100%

Steps to Reproduce:
1. set [cache] jeos=yes
2. create a JEOS
3. set [cache] jeos=no
4. create a JEOS with same name
5. cached version still used, rather then making a new version
 
Actual results:
with jeos=no, jeos caching files still used for image

Expected results:
with jeos=no, no caching should be done of the jeos image

Not sure if other cache options have this problem

Additional info:

a workaround is to delete the jeos cache in /var/lib/jeos/*
Comment 1 Chris Lalancette 2012-05-25 08:46:53 EDT
Hi Steve,
     I've talked with Ian in the past about this lack of clear semantics.  Currently in Oz, the cache options control whether or not the cache file is *created* at the end of a successful install.  It says nothing about when it is used.  That is, if you have cache:jeos=yes, do a successful install, then set cache:jeos=no and do another install, it will still use the cached jeos file (as you saw).  The ways around this currently are either to remove the cache file (from /var/lib/oz/jeos), or to use the -f flag to oz-install which will force a new download, ISO modification, and install.
     I could be convinced to change this semantic, though it isn't entirely clear to me the right way to do so.  It seems to me that there are two distinct actions for all of the cache options: whether to cache or not, and then whether to use that cached file or not.  Ideally I'd like to support all combinations.  Do you have any suggestions as to how this could be improved?

Thanks,
Chris
Comment 2 Fedora End Of Life 2013-01-16 07:38:56 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Chris Lalancette 2013-01-16 08:18:36 EST
FYI: I've added this to the github Oz issue tracker (since it is an upstream issue).  The link to that is: https://github.com/clalancette/oz/issues/59 .
Comment 4 Steven Dake 2013-01-17 14:20:00 EST
Padraig,

What info do you need?  The first comment provides appropriate material to reproduce the issue.

Regards
-steve
Comment 5 Fedora End Of Life 2013-04-03 10:10:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Steven Dake 2013-12-13 15:06:54 EST
Upstream should be sorting this out with issue 59 in comment #3.

Note You need to log in before you can comment on or make changes to this bug.